Overview | Modules | Class Hierarchy | Classes | Members

# tlp::SimpleStringsListSelectionWidget Class Reference

`#include <SimpleStringsListSelectionWidget.h>`

Inherits tlp::StringsListSelectionWidgetInterface.

Inheritance diagram for tlp::SimpleStringsListSelectionWidget:

[legend]
Collaboration diagram for tlp::SimpleStringsListSelectionWidget:

[legend]
List of all members.

## Public Member Functions

- SimpleStringsListSelectionWidget (QWidget *parent=0, const unsigned int maxSelectedStringsListSize=0)
- void setUnselectedStringsList (const std::vector< std::string > &unselectedStringsList)
- void setSelectedStringsList (const std::vector< std::string > &selectedStringsList)
- void clearUnselectedStringsList ()
- void clearSelectedStringsList ()
- void setMaxSelectedStringsListSize (const unsigned int maxSelectedStringsListSize)
- std::vector< std::string > getSelectedStringsList () const
- std::vector< std::string > getUnselectedStringsList () const
- void selectAllStrings ()
- void unselectAllStrings ()

## Constructor & Destructor Documentation

tlp::SimpleStringsListSelectionWidget::SimpleStringsListSelectionWidget | ( | QWidget * | parent = `0`,
|  | const unsigned int | maxSelectedStringsListSize = `0`
| ) |

## Member Function Documentation

void tlp::SimpleStringsListSelectionWidget::clearSelectedStringsList | ( |  | ) | `[virtual]`

| Implements tlp::StringsListSelectionWidgetInterface.

void tlp::SimpleStringsListSelectionWidget::clearUnselectedStringsList | ( |  | ) | `[virtual]`

| Implements tlp::StringsListSelectionWidgetInterface.

std::vector<std::string> tlp::SimpleStringsListSelectionWidget::getSelectedStringsList | ( |  | ) | const`[virtual]`

| Implements tlp::StringsListSelectionWidgetInterface.

std::vector<std::string> tlp::SimpleStringsListSelectionWidget::getUnselectedStringsList | ( |  | ) | const`[virtual]`

| Implements tlp::StringsListSelectionWidgetInterface.

void tlp::SimpleStringsListSelectionWidget::selectAllStrings | ( |  | ) | `[virtual]`

| Implements tlp::StringsListSelectionWidgetInterface.

void tlp::SimpleStringsListSelectionWidget::setMaxSelectedStringsListSize | ( | const unsigned int | maxSelectedStringsListSize | ) | `[virtual]`

| Implements tlp::StringsListSelectionWidgetInterface.

void tlp::SimpleStringsListSelectionWidget::setSelectedStringsList | ( | const std::vector< std::string > & | selectedStringsList | ) | `[virtual]`

| Implements tlp::StringsListSelectionWidgetInterface.

void tlp::SimpleStringsListSelectionWidget::setUnselectedStringsList | ( | const std::vector< std::string > & | unselectedStringsList | ) | `[virtual]`

| Implements tlp::StringsListSelectionWidgetInterface.

void tlp::SimpleStringsListSelectionWidget::unselectAllStrings | ( |  | ) | `[virtual]`

| Implements tlp::StringsListSelectionWidgetInterface.

Tulip Software by LaBRI Visualization Team 2001 - 2010